"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/member/signin.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
if (!Array) {
  const _easycom_uni_badge2 = common_vendor.resolveComponent("uni-badge");
  _easycom_uni_badge2();
}
const _easycom_uni_badge = () => "../../../uni_modules/uni-badge/components/uni-badge/uni-badge.js";
if (!Math) {
  _easycom_uni_badge();
}
const _sfc_main = {
  __name: "s-order-card",
  setup(__props) {
    const orderMap = [
      {
        title: "待付款",
        value: "1",
        icon: "/static/images/no_pay.png",
        path: "/pages/order/list",
        type: "unpaid",
        count: "unpaidCount"
      },
      {
        title: "待发货",
        value: "2",
        icon: "/static/images/change_order.png",
        path: "/pages/order/list",
        type: "undelivered",
        count: "undeliveredCount"
      },
      {
        title: "待收货",
        value: "3",
        icon: "/static/images/no_take.png",
        path: "/pages/order/list",
        type: "noget",
        count: "deliveredCount"
      },
      {
        title: "待评价",
        value: "4",
        icon: "/static/images/no_comment.png",
        path: "/pages/order/list",
        type: "nocomment",
        count: "uncommentedCount"
      },
      {
        title: "全部订单",
        value: "0",
        icon: "/static/images/all_order.png",
        path: "/pages/order/list"
      }
    ];
    const numData = common_vendor.computed(() => sheep_index.sheep.$store("user").numData);
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(orderMap, (item, k0, i0) => {
          return {
            a: common_vendor.unref(sheep_index.sheep).$url.static(item.icon),
            b: "85ba17ee-0-" + i0,
            c: common_vendor.p({
              text: numData.value.orderCount[item.count],
              absolute: "rightTop",
              size: "small"
            }),
            d: common_vendor.t(item.title),
            e: item.title,
            f: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go(item.path, {
              type: item.value
            }), item.title)
          };
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-85ba17ee"], ["__file", "D:/zx/mall-front-app/sheep/components/s-order-card/s-order-card.vue"]]);
wx.createComponent(Component);
